Bug 98038 - can't login users
can't login users
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-25 14:36 EDT by Mike H.
Modified: 2015-01-07 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 12:49:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike H. 2003-06-25 14:36:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
Whenever I try to login a non-root user, I can't connect through ssh. When I 
login as root and try to su to the user, I get a message that says "could not 
open session"
In /var/log/messages I get "localnet PAM-env[31412]: Unable to open config 
file: Permission denied"
In /var/log/secure I get "localnet sshd[31412]: fatal: login_get_lastlog: 
Cannot find account for uid 500"
I have checked /etc/passwd and /etc/groups and I find no problems with those 
files and the account is valid. I was able to login a few days ago, but when I 
tried today, I encountered this problem.
Any help with this problem would be greatly appreciated. 

Version-Release number of selected component (if applicable):
pam-0.75-46.8.0

How reproducible:
Always

Steps to Reproduce:
1. login as a non-root user
2. 
3.
    

Actual Results:  If I try to login via ssh, I can't connect at all. I also 
cannot su either.

Expected Results:  Login occured normally.

Additional info:
Comment 1 Mike H. 2003-06-26 22:38:26 EDT
I've also realized that if I try to login through ssh as root more than once, 
I get denied a logon as well.
Comment 2 Stephane Jourdan 2004-01-22 02:27:43 EST
Check if your /etc/passwd has correct rights.

# ll /etc/passwd
-rw-------    1 root     root         1736 jan 22 08:14 /etc/passwd

is an entry that gave me today the same results than you.

# ll /etc/passwd
-rw-r--r--    1 root     root         1791 jan 22 07:46 /etc/passwd

is a correct entry without problems.
Comment 3 Tomas Mraz 2004-11-16 12:49:21 EST
No response from reporter.

Note You need to log in before you can comment on or make changes to this bug.